=== debian/changelog ===
shotwell (0.5.0+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/vala_0.8.0.patch:
    - Build with vala 0.8.0 (Closes: #577913).
  * debian/control:
    - Depend on librsvg2-common and dbus-x11 (Closes: #574112).
    - Bump minimum valac version to 0.8.0.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 18 Apr 2010 23:16:32 +0200

shotwell (0.5.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.
  * Remove debian/patches directory, patches already applied upstream.
  * debian/control: add libgudev-1.0-dev (>= 145) to Build-Depends field.
  * Bump Standards-Version to 3.8.4.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 15 Mar 2010 15:59:23 +0100

shotwell (0.4.3+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/02_vala_0.7.10.patch:
    - Fix build with vala 0.7.10 (Closes: #569370).
  * debian/control:
    - Bump minimum valac version to 0.7.10.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 20 Feb 2010 18:03:45 +0100

shotwell (0.4.3+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Switch to format 3.0 (quilt).
  * Add debian/patches/01_GNU-kFreeBSD.diff patch from Cyril Brulebois to fix
    FTBFS on GNU/kFreeBSD (Closes: #564306).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 23 Jan 2010 18:56:33 +0100

shotwell (0.4.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #561788).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Wed, 06 Jan 2010 14:08:43 +0100
