=== debian/control ===
Source: shotwell
Section: gnome
Priority: extra
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), valac (>= 0.8.0), libgee-dev
 (>= 0.5.0), libgtk2.0-dev (>= 2.14.4), libexif-dev (>= 0.6.16),
 libsqlite3-dev (>= 3.5.9), libdbus-glib-1-dev (>= 0.76), libgconf2-dev
 (>= 2.22.0), libhal-dev (>= 0.5.11), libgphoto2-2-dev (>= 2.4.2),
 libsoup2.4-dev (>= 2.26.0), libxml2 (>= 2.6.32), libunique-dev (>= 1.0.0),
 libwebkit-dev (>= 1.1.5), libgudev-1.0-dev (>= 145)
Standards-Version: 3.8.4
Homepage: http://yorba.org/shotwell/

Package: shotwell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common, dbus-x11
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.
