## shotwell 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
 PROGRAM = shotwell
-all: $(PROGRAM)
-
-VERSION = 0.5.0
+
+VERSION = 0.6.1
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1
 
 VALAC = valac
-MIN_VALAC_VERSION = 0.7.10
+MIN_VALAC_VERSION = 0.8.0
 INSTALL_PROGRAM = install
 INSTALL_DATA = install -m 644
 
@@ -26,17 +25,27 @@
   WINDOWS = 1
 endif
 
-ifeq "$(SYSTEM)" "Darwin"
-  MAC = 1
-endif
-
 -include configure.mk
+
+ifdef ENABLE_BUILD_FOR_GLADE
+all: lib$(PROGRAM).so $(PROGRAM)
+else
+all: $(PROGRAM)
+endif
 
 VALAFLAGS = -g --enable-checking --thread $(USER_VALAFLAGS)
 DEFINES=_PREFIX='"$(PREFIX)"' _VERSION='"$(VERSION)"' GETTEXT_PACKAGE='"$(GETTEXT_PACKAGE)"' \
      _LANG_SUPPORT_DIR='"$(SYSTEM_LANG_DIR)"'
 
-SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa
+ifdef LINUX
+    EXPORT_FLAGS = -export-dynamic
+endif
+
+ifdef WINDOWS
+    EXPORT_FLAGS = -export-all-symbols
+endif
+
+SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk ja fi zh_TW cs nb id th sl hr ar ast ro sr lt
 LOCAL_LANG_DIR=locale-langpack
 SYSTEM_LANG_DIR=$(DESTDIR)$(PREFIX)/share/locale
 
@@ -50,7 +59,6 @@
 	image_util.vala \
 	CheckerboardLayout.vala \
 	PhotoPage.vala \
-	Exif.vala \
 	Page.vala \
 	ImportPage.vala \
 	GPhoto.vala \
@@ -93,21 +101,33 @@
 	Tag.vala \
 	TagPage.vala \
 	PicasaConnector.vala \
-    Screensaver.vala
+	Screensaver.vala \
+	PhotoFileAdapter.vala \
+	PhotoFileFormat.vala \
+	PhotoFileSniffer.vala \
+	PhotoMetadata.vala \
+	GRaw.vala \
+	GdkSupport.vala \
+	JfifSupport.vala \
+	RawSupport.vala \
+	MimicManager.vala \
+	TrashPage.vala \
+	PngSupport.vala \
+	PhotoExporter.vala
 
 ifndef LINUX
 SRC_FILES += \
-    GConf.vala
+	GConf.vala
 endif
 
 VAPI_FILES = \
 	libexif.vapi \
-	FStream.vapi \
 	libgphoto2.vapi \
 	FixedKeyFile.vapi \
 	ExtendedPosix.vapi \
-	gudev-1.0.vapi \
-    LConv.vapi
+	LConv.vapi \
+	libraw.vapi \
+	gdk-none.vapi
 
 RESOURCE_FILES = \
 	photo.ui \
@@ -118,7 +138,14 @@
 	events_directory.ui \
 	event.ui \
 	direct.ui \
-	tags.ui
+	tags.ui \
+	trash.ui \
+	shotwell.glade
+
+SYS_INTEGRATION_FILES = \
+	shotwell.desktop.head \
+	shotwell-viewer.desktop.head \
+	shotwell.schemas
 
 SRC_HEADER_FILES = \
 	gphoto.h
@@ -132,6 +159,30 @@
 	README \
 	THANKS
 
+ICON_FILES = \
+	shotwell-street.jpg \
+	shotwell.svg \
+	shotwell.ico \
+	return-to-page.svg \
+	redeye.png \
+	publish.png \
+	pin-toolbar.svg \
+	object-rotate-right.svg \
+	object-rotate-left.svg \
+	object-flip-vertical.svg \
+	object-flip-horizontal.svg \
+	merge.svg \
+	make-primary.svg \
+	import-all.png \
+	import.svg \
+	hidden.svg \
+	favorite.svg \
+	enhance.png \
+	drag_nub.png \
+	crop-pivot-reticle.png \
+	crop.svg \
+	adjust.png \
+
 VAPI_DIRS = \
 	./vapi
 
@@ -139,21 +190,26 @@
 	./vapi
 
 LOCAL_PKGS = \
-	FStream \
 	FixedKeyFile \
 	ExtendedPosix \
 	posix \
-	gudev-1.0 \
-    LConv
-
+	LConv \
+	gdk-none
+
+# libraw is not listed (see note below); when libraw-config is no longer needed, it should be
+# added to this list
 EXT_PKGS = \
 	atk \
 	gdk-2.0 \
 	gee-1.0 \
 	gtk+-2.0 \
 	libexif \
-	sqlite3
-	
+	sqlite3 \
+	gexiv2
+
+LIBRAW_PKG = \
+	libraw
+
 ifdef LINUX
 EXT_PKGS += \
 	gconf-2.0 \
@@ -162,22 +218,23 @@
 	libxml-2.0 \
 	unique-1.0 \
 	webkit-1.0 \
-	libusb \
 	gudev-1.0 \
-    dbus-glib-1
-endif
-
-ifdef MAC
-EXT_PKGS += \
-    ige-mac-integration
-endif
-
+	dbus-glib-1 \
+	gdk-x11-2.0
+endif
+
+# libraw is handled separately (see note below); when libraw-config is no longer needed, the version
+# should be added to this list
 EXT_PKG_VERSIONS = \
 	gee-1.0 >= 0.5.0 \
-	gtk+-2.0 >= 2.14.4 \
+	gtk+-2.0 >= 2.18.0 \
 	libexif >= 0.6.16 \
-	sqlite3 >= 3.5.9
-	
+	sqlite3 >= 3.5.9 \
+	gexiv2 >= 0.1.0
+
+LIBRAW_VERSION = \
+	0.9.0
+
 ifdef LINUX
 EXT_PKG_VERSIONS += \
 	gconf-2.0 >= 2.22.0 \
@@ -186,12 +243,11 @@
 	libxml-2.0 >= 2.6.32 \
 	unique-1.0 >= 1.0.0 \
 	webkit-1.0 >= 1.1.5 \
-	libusb >= 0.1.12 \
 	gudev-1.0 >= 145 \
-    dbus-glib-1 >= 0.80
-endif
-
-PKGS = $(EXT_PKGS) $(LOCAL_PKGS)
+	dbus-glib-1 >= 0.80
+endif
+
+PKGS = $(EXT_PKGS) $(LOCAL_PKGS) $(LIBRAW_PKG)
 
 ifndef BUILD_DIR
 BUILD_DIR=src
@@ -209,7 +265,8 @@
 EXPANDED_C_FILES = $(foreach src,$(SRC_FILES),$(BUILD_DIR)/$(src:.vala=.c))
 EXPANDED_SAVE_TEMPS_FILES = $(foreach src,$(SRC_FILES),$(BUILD_DIR)/$(src:.vala=.vala.c))
 EXPANDED_OBJ_FILES = $(foreach src,$(SRC_FILES),$(BUILD_DIR)/$(src:.vala=.o))
-
+EXPANDED_SYS_INTEGRATION_FILES = $(foreach file,$(SYS_INTEGRATION_FILES),misc/$(file))
+EXPANDED_ICON_FILES = $(foreach file,$(ICON_FILES),icons/$(file))
 EXPANDED_VAPI_FILES = $(foreach vapi,$(VAPI_FILES),vapi/$(vapi))
 EXPANDED_SRC_HEADER_FILES = $(foreach header,$(SRC_HEADER_FILES),vapi/$(header))
 EXPANDED_RESOURCE_FILES = $(foreach res,$(RESOURCE_FILES),ui/$(res))
@@ -217,8 +274,9 @@
 LANG_STAMP = $(LOCAL_LANG_DIR)/.langstamp
 
 DIST_FILES = Makefile configure minver $(EXPANDED_SRC_FILES) $(EXPANDED_VAPI_FILES) \
-	$(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) icons/* misc/* \
-	$(EXPANDED_PO_FILES) po/shotwell.pot vapi/*
+	$(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) $(EXPANDED_ICON_FILES) \
+	$(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_PO_FILES) po/shotwell.pot windows/install-deps \
+	windows/shotwell.rc windows/winstall.iss src/windows.c src/GConf.vala libraw-config
 
 DIST_TAR = $(PROGRAM)-$(VERSION).tar
 DIST_TAR_BZ2 = $(DIST_TAR).bz2
@@ -246,22 +304,29 @@
 
 endif
 
-ifdef MAC
-  VALA_DEFINES = -D MAC -D NO_CAMERA -D NO_PRINTING -D NO_PUBLISHING -D NO_LIBUNIQUE -D NO_SVG
-  EXPANDED_OBJ_FILES += src/mac.o
-endif
-
 # setting CFLAGS in configure.mk overrides build type
 ifndef CFLAGS
 ifdef BUILD_DEBUG
-CFLAGS = -O0 -g -pipe
+CFLAGS = -O0 -g -pipe -fPIC
 else
-CFLAGS = -O2 -g -pipe
-endif
-endif
-
+CFLAGS = -O2 -g -pipe -fPIC
+endif
+endif
+
+ifdef LINUX
 # Required for gudev-1.0
 CFLAGS += -DG_UDEV_API_IS_SUBJECT_TO_CHANGE
+endif
+
+# Packaged libraw is not widely available, so we must fake what would be in its .pc file
+# if not available.
+ifdef LINUX
+LIBRAW_CONFIG=./libraw-config
+endif
+
+ifdef WINDOWS
+LIBRAW_CONFIG=./libraw-config --windows
+endif
 
 $(LANG_STAMP): $(EXPANDED_PO_FILES)
 	$(foreach po,$(SUPPORTED_LANGUAGES),`mkdir -p $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES ; \
@@ -278,6 +343,7 @@
 	rm -rf $(LOCAL_LANG_DIR)
 	rm -f $(LANG_STAMP)
 	rm -f $(TEMPORARY_DESKTOP_FILES)
+	rm -f lib$(PROGRAM).so
 
 cleantemps:
 	rm -f $(EXPANDED_C_FILES)
@@ -302,6 +368,7 @@
 distclean: clean
 	rm -f configure.mk
 
+.PHONY: install
 install:
 	cp misc/shotwell.desktop.head misc/shotwell.desktop
 	cp misc/shotwell-viewer.desktop.head misc/shotwell-viewer.desktop
@@ -341,6 +408,10 @@
 	mkdir -p $(DESTDIR)$(SCHEMA_FILE_DIR)
 	$(INSTALL_DATA) misc/shotwell.schemas $(DESTDIR)$(SCHEMA_FILE_DIR)
 endif
+ifdef ENABLE_APPORT_HOOK_INSTALL
+	mkdir -p $(DESTDIR)$(PREFIX)/share/apport/package-hooks
+	$(INSTALL_DATA) apport/shotwell.py $(DESTDIR)$(PREFIX)/share/apport/package-hooks
+endif
 endif
 	-$(foreach lang,$(SUPPORTED_LANGUAGES),`mkdir -p $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES ; \
         $(INSTALL_DATA) $(LOCAL_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo \
@@ -361,43 +432,11 @@
 else
 	rm -f $(DESTDIR)$(SCHEMA_FILE_DIR)/shotwell.schemas
 endif
+ifdef ENABLE_APPORT_HOOK_INSTALL
+	rm -f $(DESTDIR)$(PREFIX)/share/apport/package-hooks/shotwell.py
+endif
 endif
 	$(foreach lang,$(SUPPORTED_LANGUAGES),`rm -f $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo`)
 
 $(VALA_STAMP): $(EXPANDED_SRC_FILES) $(EXPANDED_VAPI_FILES) $(EXPANDED_SRC_HEADER_FILES) Makefile \
 	$(CONFIG_IN)
-	@ ./minver `valac --version | awk '{print $$2}'` $(MIN_VALAC_VERSION) || ( echo 'Shotwell requires Vala compiler $(MIN_VALAC_VERSION) or greater.  You are running' `valac --version` '\b.'; exit 1 )
-ifndef ASSUME_PKGS
-ifdef EXT_PKG_VERSIONS
-	pkg-config --print-errors --exists '$(EXT_PKG_VERSIONS)'
-else ifdef EXT_PKGS
-	pkg-config --print-errors --exists $(EXT_PKGS)
-endif
-endif
-	@ type msgfmt > /dev/null || ( echo 'msgfmt (usually found in the gettext package) is missing and is required to build Shotwell. ' ; exit 1 )
-	mkdir -p $(BUILD_DIR)
-	$(VALAC) --ccode --directory=$(BUILD_DIR) --basedir=src $(VALAFLAGS) \
-	$(foreach pkg,$(PKGS),--pkg=$(pkg)) \
-	$(foreach vapidir,$(VAPI_DIRS),--vapidir=$(vapidir)) \
-	$(foreach def,$(DEFINES),-X -D$(def)) \
-	$(foreach hdir,$(HEADER_DIRS),-X -I$(hdir)) \
-	$(VALA_DEFINES) \
-	$(EXPANDED_SRC_FILES)
-	touch $@
-
-# Do not remove hard tab or at symbol; necessary for dependencies to complete.
-$(EXPANDED_C_FILES): $(VALA_STAMP)
-	@
-
-$(EXPANDED_OBJ_FILES): %.o: %.c $(CONFIG_IN) Makefile
-	$(CC) -c $(VALA_CFLAGS) $(CFLAGS) -o $@ $<
-
-$(PROGRAM): $(EXPANDED_OBJ_FILES) $(RESOURCES) $(LANG_STAMP)
-	$(CC) $(EXPANDED_OBJ_FILES) $(CFLAGS) $(RESOURCES) $(VALA_LDFLAGS) -o $@
-
-shotwell-setup-$(VERSION).exe: $(PROGRAM) windows/winstall.iss
-	iscc windows\winstall.iss
-	mv setup.exe shotwell-setup-$(VERSION).exe
-
-winstaller: shotwell-setup-$(VERSION).exe
-
