=== debian/changelog ===
shotwell (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Build-depend on libusb-dev.
    - Bump libgexiv2-dev version to be at least 0.1.0.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 05 Jul 2010 20:05:18 +0200

shotwell (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/non-linux-fixes.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.0, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 30 Jun 2010 20:48:44 +0200

shotwell (0.5.91-2) experimental; urgency=low

  * debian/patches/non-linux-fixes.patch:
    - Let libraw to be available under non-Linux architectures, fix FTBFS
      on kFreeBSD (Closes: #586634).

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 21 Jun 2010 23:24:16 +0200

shotwell (0.5.91-1) experimental; urgency=low

  * New upstream development release.
  * debian/patches/non-linux-fixes.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Build-depend on libgexiv2-dev and libraw-dev.
    - No longer build-depend on libhal-dev.
    - Adjust build-dependencies versioning.
  * debian/README.source:
    - Upstream clarified licensing of some icons with their authors, now
      they are released under CC-BY-SA-3.0, so there is no need to repack
      upstream tarball anymore, thus removing this file.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 20 Jun 2010 16:09:43 +0200

shotwell (0.5.2+dfsg-2) unstable; urgency=low

  * debian/patches/non-linux-fixes.patch:
    - Add Hurd bits to allow build on that architecture.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 07 Jun 2010 23:41:52 +0200

shotwell (0.5.2+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #578903).
  * Drop vala_0.8.0.patch patch, already applied by upstream.
  * debian/control: add Luca Falavigna to Uploaders field.
  * Add debian/patches/non-linux-fixes.patch patch from Peter Green to add
    support for kfreebsd and hurd (Closes: #581662).
  * debian/control: replace "libgudev-1.0-dev (>= 145)" with "libgudev-1.0-dev
    (>= 145) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]" as suggested by
    Peter Green.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 23 May 2010 18:40:49 +0200
