## shotwell 0.7.2

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 PROGRAM = shotwell
 
-VERSION = 0.6.1
+VERSION = 0.7.2
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1
 
 VALAC = valac
-MIN_VALAC_VERSION = 0.8.0
+MIN_VALAC_VERSION = 0.9.5
 INSTALL_PROGRAM = install
 INSTALL_DATA = install -m 644
 
@@ -18,11 +18,11 @@
 SYSTEM := $(UNAME:MINGW32_%=MinGW)
 
 ifeq "$(SYSTEM)" "Linux"
-  LINUX = 1
+	LINUX = 1
 endif
 
 ifeq "$(SYSTEM)" "MinGW"
-  WINDOWS = 1
+	WINDOWS = 1
 endif
 
 -include configure.mk
@@ -38,14 +38,14 @@
      _LANG_SUPPORT_DIR='"$(SYSTEM_LANG_DIR)"'
 
 ifdef LINUX
-    EXPORT_FLAGS = -export-dynamic
+	EXPORT_FLAGS = -export-dynamic
 endif
 
 ifdef WINDOWS
-    EXPORT_FLAGS = -export-all-symbols
-endif
-
-SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk ja fi zh_TW cs nb id th sl hr ar ast ro sr lt
+	EXPORT_FLAGS = -export-all-symbols
+endif
+
+SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk
 LOCAL_LANG_DIR=locale-langpack
 SYSTEM_LANG_DIR=$(DESTDIR)$(PREFIX)/share/locale
 
@@ -113,7 +113,16 @@
 	MimicManager.vala \
 	TrashPage.vala \
 	PngSupport.vala \
-	PhotoExporter.vala
+	PhotoExporter.vala \
+	DirectoryMonitor.vala \
+	LibraryMonitor.vala \
+	OfflinePage.vala \
+	LastImportPage.vala \
+	AlienDatabase.vala \
+	AlienDatabaseImportJob.vala \
+	AlienDatabaseImportDialog.vala \
+	FSpotDatabaseDriver.vala \
+	FSpotDatabaseTables.vala
 
 ifndef LINUX
 SRC_FILES += \
@@ -140,6 +149,7 @@
 	direct.ui \
 	tags.ui \
 	trash.ui \
+	offline.ui \
 	shotwell.glade
 
 SYS_INTEGRATION_FILES = \
@@ -160,28 +170,82 @@
 	THANKS
 
 ICON_FILES = \
+	all-rejected.png \
+	crop-pivot-reticle.png \
+	crop.svg \
+	drag_nub.png \
+	enhance.png \
+	five-star-filter.svg \
+	five-stars.svg \
+	four-star-filter-plus.svg \
+	four-stars.svg \
+	image-adjust.svg \
+	import-all.png \
+	import.svg \
+	last-import-roll.png \
+	make-primary.svg \
+	merge.svg \
+	multiple-events.png \
+	multiple-tags.png \
+	one-event.png \
+	one-star-filter-plus.svg \
+	one-star.svg \
+	one-tag.png \
+	pin-toolbar.svg \
+	publish.png \
+	redeye.png \
+	rejected.svg \
+	shotwell.ico \
 	shotwell-street.jpg \
 	shotwell.svg \
-	shotwell.ico \
-	return-to-page.svg \
-	redeye.png \
-	publish.png \
-	pin-toolbar.svg \
-	object-rotate-right.svg \
-	object-rotate-left.svg \
-	object-flip-vertical.svg \
-	object-flip-horizontal.svg \
-	merge.svg \
-	make-primary.svg \
-	import-all.png \
-	import.svg \
-	hidden.svg \
-	favorite.svg \
-	enhance.png \
-	drag_nub.png \
-	crop-pivot-reticle.png \
-	crop.svg \
-	adjust.png \
+	three-star-filter-plus.svg \
+	three-stars.svg \
+	two-star-filter-plus.svg \
+	two-stars.svg \
+	zoom-in.png \
+	zoom-out.png \
+	shotwell-16.svg \
+	shotwell-24.svg
+
+HELP_FILES = \
+    edit-adjustments.page \
+	edit-crop.page \
+	edit-enhance.page \
+	edit-external.page \
+	edit-nondestructive.page \
+	edit-redeye.page \
+	edit-rotate.page \
+	edit-time-date.page \
+	edit-undo.page \
+	formats.page \
+	import-camera.page \
+	import-file.page \
+	import-f-spot.page \
+	import-memorycard.page \
+	index.page \
+	organize-event.page \
+	organize-rating.page \
+	organize-remove.page \
+	organize-tag.page \
+	organize-title.page \
+	other-missing.page \
+	other-multiple.page \
+	running.page \
+	share-background.page \
+	share-export.page \
+	share-print.page \
+	share-slideshow.page \
+	share-upload.page \
+	view-displaying.page \
+	view-information.page \
+	view-sidebar.page
+
+HELP_IMAGES = \
+	crop_thirds.jpg \
+	editing_overview.png \
+	edit_toolbar.png \
+	shotwell_logo.png \
+	trash_process.png
 
 VAPI_DIRS = \
 	./vapi
@@ -203,6 +267,7 @@
 	gdk-2.0 \
 	gee-1.0 \
 	gtk+-2.0 \
+	glib-2.0 \
 	libexif \
 	sqlite3 \
 	gexiv2
@@ -228,9 +293,10 @@
 EXT_PKG_VERSIONS = \
 	gee-1.0 >= 0.5.0 \
 	gtk+-2.0 >= 2.18.0 \
+	glib-2.0 >= 2.24.0 \
 	libexif >= 0.6.16 \
 	sqlite3 >= 3.5.9 \
-	gexiv2 >= 0.1.0
+	gexiv2 >= 0.2.0
 
 LIBRAW_VERSION = \
 	0.9.0
@@ -270,13 +336,16 @@
 EXPANDED_VAPI_FILES = $(foreach vapi,$(VAPI_FILES),vapi/$(vapi))
 EXPANDED_SRC_HEADER_FILES = $(foreach header,$(SRC_HEADER_FILES),vapi/$(header))
 EXPANDED_RESOURCE_FILES = $(foreach res,$(RESOURCE_FILES),ui/$(res))
+EXPANDED_HELP_FILES = $(foreach file,$(HELP_FILES),help/C/$(file))
+EXPANDED_HELP_IMAGES = $(foreach file,$(HELP_IMAGES),help/C/figures/$(file))
 VALA_STAMP = $(BUILD_DIR)/.stamp
 LANG_STAMP = $(LOCAL_LANG_DIR)/.langstamp
 
 DIST_FILES = Makefile configure minver $(EXPANDED_SRC_FILES) $(EXPANDED_VAPI_FILES) \
 	$(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) $(EXPANDED_ICON_FILES) \
 	$(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_PO_FILES) po/shotwell.pot windows/install-deps \
-	windows/shotwell.rc windows/winstall.iss src/windows.c src/GConf.vala libraw-config
+	windows/shotwell.rc windows/winstall.iss src/windows.c src/GConf.vala libraw-config \
+	$(EXPANDED_HELP_FILES) $(EXPANDED_HELP_IMAGES) apport/shotwell.py
 
 DIST_TAR = $(PROGRAM)-$(VERSION).tar
 DIST_TAR_BZ2 = $(DIST_TAR).bz2
@@ -403,40 +472,3 @@
 endif
 ifdef LINUX
 ifndef DISABLE_SCHEMAS_INSTALL
-	GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule misc/shotwell.schemas
-else
-	mkdir -p $(DESTDIR)$(SCHEMA_FILE_DIR)
-	$(INSTALL_DATA) misc/shotwell.schemas $(DESTDIR)$(SCHEMA_FILE_DIR)
-endif
-ifdef ENABLE_APPORT_HOOK_INSTALL
-	mkdir -p $(DESTDIR)$(PREFIX)/share/apport/package-hooks
-	$(INSTALL_DATA) apport/shotwell.py $(DESTDIR)$(PREFIX)/share/apport/package-hooks
-endif
-endif
-	-$(foreach lang,$(SUPPORTED_LANGUAGES),`mkdir -p $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES ; \
-        $(INSTALL_DATA) $(LOCAL_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo \
-            $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo`)
-
-uninstall:
-	rm -f $(DESTDIR)$(PREFIX)/bin/$(PROGRAM)
-	rm -fr $(DESTDIR)$(PREFIX)/share/shotwell
-	rm -fr $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/shotwell.svg
-	rm -f $(DESTDIR)$(PREFIX)/share/applications/shotwell.desktop
-	rm -f $(DESTDIR)$(PREFIX)/share/applications/shotwell-viewer.desktop
-ifndef DISABLE_DESKTOP_UPDATE
-	-update-desktop-database || :
-endif
-ifdef LINUX
-ifndef DISABLE_SCHEMAS_INSTALL
-	GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule misc/shotwell.schemas
-else
-	rm -f $(DESTDIR)$(SCHEMA_FILE_DIR)/shotwell.schemas
-endif
-ifdef ENABLE_APPORT_HOOK_INSTALL
-	rm -f $(DESTDIR)$(PREFIX)/share/apport/package-hooks/shotwell.py
-endif
-endif
-	$(foreach lang,$(SUPPORTED_LANGUAGES),`rm -f $(SYSTEM_LANG_DIR)/$(lang)/LC_MESSAGES/shotwell.mo`)
-
-$(VALA_STAMP): $(EXPANDED_SRC_FILES) $(EXPANDED_VAPI_FILES) $(EXPANDED_SRC_HEADER_FILES) Makefile \
-	$(CONFIG_IN)
