=== debian/changelog ===
shotwell (0.7.2-0ubuntu2) maverick; urgency=low

  * debian/patches/03_appmenu_no_stubs.patch:
    Adds the X-Ayatana-Appmenu-Show-Stubs field and sets it to false
    so Shotwell will not show menu stubs in the appmenu (LP: #651307)

 -- Ted Gould <ted@ubuntu.com>  Wed, 29 Sep 2010 11:53:56 -0500

shotwell (0.7.2-0ubuntu1) maverick; urgency=low

  * New upstream release:
   - Fixed major startup problem when the user's Pictures directory is actually
     a symbolic link.
   - Fixed potential crasher when the user's Pictures directory contains a
     large number of subdirectories.
   - No longer asking if copying or linking if importing from Pictures directory
     (which will always be linked).
   - Fixed issue when logging in to PicasaWeb with a password with a '+'
     character.
   - Fixed update problem when using an external editor on a photo that was
     edited externally in an earlier session.
   - Various bug fixes.
   - Numerous translation updates.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Sep 2010 23:24:06 +0200

shotwell (0.7.1-0ubuntu2) maverick; urgency=low

  * debian/patches/02_desktop_gettext.patch:
    - Use gettext in .desktop files (LP: #616856)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 27 Aug 2010 09:25:47 +1000

shotwell (0.7.1-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 27 Aug 2010 09:13:59 +1000

shotwell (0.7.0-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depend on libgexiv2-dev
  * debian/watch:
    - Update download location

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 23 Aug 2010 10:02:08 +1000

shotwell (0.6.91-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Build-depend on valac >= 0.9.5
    - Build-depend on libgexiv2-dev >= 0.1.91

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 16 Aug 2010 16:58:02 +1000

shotwell (0.6.90-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Aug 2010 09:10:03 +1000

shotwell (0.6.1-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining Ubuntu changes:
  * debian/control:
    - Build-depend on liblaunchpad-integration-dev
    - Add Vcs-Bzr link
  * debian/patches/01_lpi.patch:
    - Add Launchpad integration

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 06 Jul 2010 15:36:45 +1000
