=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: shotwell
 Section: gnome
 Priority: extra
-Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
+XSBC-Original-Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 Uploaders: Luca Falavigna <dktrkranz@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
-               valac (>= 0.8.0),
+               valac (>= 0.9.5),
                libgee-dev (>= 0.5.0),
                libgtk2.0-dev (>= 2.18.0),
                libexif-dev (>= 0.6.16),
                libsqlite3-dev (>= 3.5.9),
-               libgexiv2-dev (>= 0.1.0),
+               libgexiv2-dev (>= 0.2.0),
                libgconf2-dev (>= 2.22.0),
                libgphoto2-2-dev (>= 2.4.2),
                libsoup2.4-dev (>= 2.26.0),
@@ -19,9 +20,11 @@
                libgudev-1.0-dev (>= 145) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libdbus-glib-1-dev (>= 0.80),
                libraw-dev,
-               libusb-dev
+               libusb-dev,
+               liblaunchpad-integration-dev (>= 0.1.36)
 Standards-Version: 3.9.0
 Homepage: http://yorba.org/shotwell/
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu
 
 Package: shotwell
 Architecture: any
